## i-nex 7.6.0~git20180216

=== Makefile ===
#!/usr/bin/make -f

include i-nex.mk
make: build-inex build-json

install: install-pixmaps install-desktop-files install-manpages install-changelogs install-json install-inex install-udev-rule link-inex
clean: clean-json clean-inex clean-all
distclean: clean
sysclean: uninstall rmgambas
build-inex:

	@echo -e '\033[1;32mBuild I-Nex...\033[0m'
	$(MAKE) -C I-Nex
	
build-json:

	@echo -e '\033[1;32mBuild JSON...\033[0m'
	$(MAKE) -C JSON
	
install-desktop-files:
	@echo -e '\033[1;32mCreate nedded dirs...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) 0755 debian/i-nex.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL) 0755 debian/i-nex-library.desktop $(DESTDIR)$(PREFIX)/share/applications/
	
install-pixmaps:

	@echo -e '\033[1;32mInstall pixmaps...\033[0m'
	$(MAKE) -C pixmaps install
	
install-manpages:

	@echo -e '\033[1;32mInstall manpages...\033[0m'
	$(MAKE) -C manpages install
	
install-json:

	@echo -e '\033[1;32mInstall JSON...\033[0m'
	$(MAKE) -C JSON install
	
install-inex:

	@echo -e '\033[1;32mInstall I-Nex...\033[0m'
	$(MAKE) -C I-Nex install

install-changelogs:

	@echo -e '\033[1;32mInstalling Changelogs...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)$(DOCSDIR)
	install -Dm644 Changelog.md $(DESTDIR)$(PREFIX)$(DOCSDIR)

clean-json:

	$(MAKE) -C JSON clean
	
clean-inex:

	if test -f "I-Nex/Makefile" ; then $(MAKE) -C I-Nex distclean ; fi

install-udev-rule:

	$(INSTALL_DM) 600 i2c_smbus.rules $(DESTDIR)$(UDEV_RULES_DIR)/i2c_smbus.rules

clean-all:

	$(RM_COM) $(RMDIR_OPT) `find . -name ".gambas"`
	$(RM_COM) $(RMDIR_OPT) `find . -name "*.gambas"`
	$(RM_COM) $(RMDIR_OPT) `find . -name ".directory"`
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.pot
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.po
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.mo
	$(RM_COM) $(RMDIR_OPT) I-Nex/i-nex/.gambas
	$(RM_COM) $(RMDIR_OPT) debian/files
	$(RM_COM) $(RMDIR_OPT) debian/i-nex
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.debhelper.log
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.postinst.debhelper
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.postrm.debhelper
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.substvars
	$(RM_COM) $(RMDIR_OPT) debian/changelog1
	$(RM_COM) $(RMDIR_OPT) I-Nex/autom4te.cache
	$(RM_COM) $(RMDIR_OPT) I-Nex/config.log
	$(RM_COM) $(RMDIR_OPT) I-Nex/config.status
	$(RM_COM) $(RMDIR_OPT) I-Nex/configure
	$(RM_COM) $(RMDIR_OPT) I-Nex/install-sh
	$(RM_COM) $(RMDIR_OPT) I-Nex/missing


link-inex:
	ln -s /usr/bin/i-nex.gambas $(DESTDIR)$(bindir)/i-nex

=== JSON/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk 
make: make-binary

make-binary: compile-i-nex-edid
	
compile-i-nex-edid:
	@echo -e '$(OK_COLOR)Compile i-nex-edid $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-edid i-nex-edid.c $(CFLAGS) $(additional_confflags)
	
install: install-set-executables install-bin
install-set-executables: set-executable-i-nex-edid
			 
set-executable-i-nex-edid:
	chmod +x i-nex-edid

install-bin: install-bin-i-nex-edid

install-bin-i-nex-edid:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-edid $(DESTDIR)$(bindir)
clean:
	@echo -e '$(ACTION_COLOR)Clean JSON$(NO_COLOR)'
	$(RM_COM) $(RMFILE_OPT) i-nex-edid

=== manpages/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk 
MANPAGE_FILES=$(wildcard *.1)

install: install-man compress-man
install-man:

	@echo -e '\033[1;32mInstalling Man pages 1...\033[0m'
	mkdir -p "$(DESTDIR)$(PREFIX)$(MANDIR)/"
	install -Dm644 $(MANPAGE_FILES) "$(DESTDIR)$(PREFIX)$(MANDIR)/"
	
compress-man:
	@echo -e '\033[1;32mCompress Man pages 1...\033[0m'
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-edid.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.gambas.1"

=== pixmaps/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk
install:
	mkdir -p ${DESTDIR}$(PREFIX)/share/pixmaps
	${INSTALL} 644 i-nex.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	${INSTALL} 644 i-nex-16.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	${INSTALL} 644 i-nex-32.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	${INSTALL} 644 i-nex-128.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	
uninstall:

	if test -f $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-16.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-16.png ; fi
	if test -f ${DESTDIR}$(PREFIX)/share/pixmaps/i-nex-32.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-32.png ; fi
	if test -f ${DESTDIR}$(PREFIX)/share/pixmaps/i-nex-128.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-128.png ; fi

=== debian/changelog ===
i-nex (7.6.0~git20180216) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Feb 2018 15:22:34 -0500

i-nex (7.6.0) stable; urgency=medium
  
  * Update for version 7.6.0
  * Changelog for version 7.6.0 see file /usr/share/doc/i-nex/changelog-7.6.0

 -- eloaders <eloaders@linux.pl>  Tue, 11 Oct 2016 08:40:19 +0200

i-nex (7.4.0.1) stable; urgency=medium
  
  * Update for version 7.4.0.1
  * Changelog for version 7.4.0 see file /usr/share/doc/i-nex/changelog-7.4.0

 -- eloaders <eloaders@linux.pl>  Sun, 06 Dec 2015 19:36:43 +0100

i-nex (7.4.0) stable; urgency=medium

  * Changelog for version 7.4.0 see file /usr/share/doc/i-nex/changelog-7.4.0

 -- eloaders <eloaders@linux.pl>  Wed, 13 Aug 2014 11:59:26 +0200

i-nex (7.2.1) stable; urgency=medium

  * Changelog for version 7.2.1 see file /usr/share/doc/i-nex/changelog-7.2.1

 -- eloaders <eloaders@linux.pl>  Mon, 21 Jul 2014 18:33:00 +0200

i-nex (7.2.0) stable; urgency=medium

  * Changelog for version 7.2.0 see file /usr/share/doc/i-nex/changelog-7.2.0

 -- eloaders <eloaders@linux.pl>  Sun, 20 Jul 2014 11:21:37 +0200

i-nex (7.0.0) stable; urgency=medium

  * Changelog for version 7.0.0 see file /usr/share/doc/i-nex/changelog-7.0.0

 -- eloaders <eloaders@linux.pl>  Mon, 23 Jun 2014 18:38:52 +0200

i-nex (0.6.6) stable; urgency=medium

  * Changelog for version 0.6.6 see file /usr/share/doc/i-nex/changelog-0.6.6

 -- eloaders <eloaders@linux.pl>  Sat, 14 Jun 2014 16:06:39 +0200

i-nex (0.6.4) stable; urgency=medium

  * Changelog for version 0.6.4 see file /usr/share/doc/i-nex/changelog-0.6.4

 -- eloaders <eloaders@linux.pl>  Sat, 15 Mar 2014 23:39:49 +0100

i-nex (0.6.2) stable; urgency=medium

  * Changelog for version 0.6.2 see file /usr/share/doc/i-nex/changelog-0.6.2

 -- eloaders <eloaders@linux.pl>  Wed, 29 Jan 2014 00:49:41 +0100

i-nex (0.6.0) stable; urgency=medium

  * Changelog for version 0.6.0 see file /usr/share/doc/i-nex/changelog-0.6.0

 -- eloaders <eloaders@linux.pl>  Fri, 24 Jan 2014 01:06:07 +0100
 

i-nex (0.5.8) stable; urgency=medium

  * Changelog for version 0.5.8 see file /usr/share/doc/i-nex/changelog-0.5.8

 -- eloaders <eloaders@linux.pl>  Tue, 24 Dec 2013 11:02:00 +0100
 

i-nex (0.5.6) stable; urgency=medium

  * Changelog for version 0.5.6 see file /usr/share/doc/i-nex/changelog-0.5.6

 -- eloaders <eloaders@yahoo.com>  Mon, 25 Nov 2013 01:33:11 +0100

i-nex (0.5.4) stable; urgency=low

  * Changelog for version 0.5.4 see file /usr/share/doc/i-nex/changelog-0.5.4

 -- eloaders <eloaders@yahoo.com>  Fri, 18 Oct 2013 15:54:24 +0200
 

i-nex (0.5.2) stable; urgency=low

  * Changelog for version 0.5.2 see file /usr/share/doc/i-nex/changelog-0.5.2

 -- eloaders <eloaders@yahoo.com>  Fri, 04 Jan 2013 19:48:32 +0100
 

i-nex (0.5.1) stable; urgency=low

  * Changelog for version 0.5.1 see file /usr/share/doc/i-nex/changelog-0.5.1

 -- eloaders <eloaders@yahoo.com>  Sun, 02 Dec 2012 14:44:59 +0100

i-nex (0.5.0) stable; urgency=medium

  * Changelog for version 0.5.0 see file /usr/share/doc/i-nex/changelog-0.5.0

 -- eloaders <eloaders@yahoo.com>  Thu, 29 Nov 2012 09:03:21 +0100

i-nex (0.4.8.1) stable; urgency=medium

  * Changelog for version 0.4.8.1 see file /usr/share/doc/i-nex/changelog-0.4.8.1

 -- eloaders <eloaders@yahoo.com>  Fri, 13 Apr 2012 22:28:09 +0200

i-nex (0.4.8) stable; urgency=low

  * Changelog for version 0.4.8 see file /usr/share/doc/i-nex/changelog-0.4.8

 -- eloaders <eloaders@yahoo.com>  Wed, 04 Apr 2012 18:12:01 +0200

i-nex (0.4.6) stable; urgency=low

  * Changelog for version 0.4.6 see file /usr/share/doc/i-nex/changelog-0.4.6

 -- eloaders <eloaders@yahoo.com>  Sat, 03 Mar 2012 14:37:35 +0100

i-nex (0.4.5) unstable; urgency=low

  * Change version to 0.4.5 Unstable

 -- eloaders <eloaders@yahoo.com>  Tue, 14 Feb 2012 14:03:52 +0100

i-nex (0.4.4) stable; urgency=low

  * Fix Cache position
  * Fix distrodetect.class
  * Add gentoo
  * Update USB_Drives.module
  * Fix Bug in battery.module
    Detect BAT0 & BAT1
  * Battery Fix Spaces LTrim
  * Add new bug reporter
    Tomasz Przybył (FadeMind) dj.m.freex[at]gmail[dot]com www.gravatar.com/fademind
  * Fix CPU Tab → Frame CPU → Text Size, Padding, Autoresize, Expand.
  * New About dialog
  * Fix battery tab, All TextBox = ReadOnly True
  * Add botton to About: I-Nex home page
  * Fix CPU Tab, Text size 10,Bold
    Add HBox, → /Fix position
  * Change CPU Tab: Spacing = True to False
    Add to Battery tab: Progressbar for show XX%
  * Add support: Intel(R) Core(TM) i3
  * Fix bug dospam_uptime()
    [6] Type mismatch: wanted Integer, got string instead. Finfosys.dospam_uptime.414

 -- eloaders <eloaders@yahoo.com>  Thu, 02 Feb 2012 12:13:22 +0100

i-nex (0.4.3) unstable; urgency=low

  * Add detect removable
    0 = No
    1 = Yes
  * Add Ext range, range
  * Add detect:
    add_random
    discard_granularity
    discard_max_bytes
    discard_zeroes_data
    hw_sector_size
  * Add detect:
    max_hw_sectors_kb
    max_sectors_kb
    max_segments
    max_segment_size
    read_ahead_kb
    scheduler
  * Add info to About window
    Main developer
    Main bug reporter
  * Add new logo in about window.
    Special thanks to: mmaciek12 http://mmaciek12.deviantart.com/art/CPU-Icon-281444281
  * Fix icons in forms
  * Add depends: 
    dpkg (>= 1.16), grep (>= 2.9), mount (>= 2.19), procps, x11-xserver-utils (>= 7.6), lsb-release (>= 4.0), bash (>= 4.2), coreutils (>= 8.5), sed (>= 4.2), pciutils, x11-utils (>= 7.6), mesa-utils (>= 7.6), hostname
  * Fix CPU tab TextArea to TextBox
    Strings font = Bold
  * Fix disable overlay-scrollbar
    Add to debian/i-nex.desktop
    Exec=env LIBOVERLAY_SCROLLBAR=0 /usr/bin/i-nex.gambas
  * Add detect nVidia logo in Graphic tab
  * Fix Motherboard / Bios, System Tab
  * Fix CPU tab
  * Fix Used
    add sed -n '1p'
  * Fix font CPU Tab 
    Bold,10
  * Add HPanel, HBox
    Change size fonts, use system settings. Auto resize / expand


=== debian/control ===
Source: i-nex
Section: contrib/admin
Priority: extra
Maintainer: eloaders <eloaders@linux.pl>
Uploaders: eloaders <eloaders@linux.pl>
Homepage: http://i-nex.linux.pl
Build-Depends: debhelper (>= 9), 
  dh-autoreconf,
  pkg-config, 
  dpkg-dev (>= 1.16.1),
  libcpuid14-dev, 
  lsb-release,
  gambas3-dev (>= 3.8.4),
  gambas3-gb-image (>= 3.8.4),
  gambas3-gb-qt5 (>= 3.8.4),
  gambas3-gb-form (>= 3.8.4),
  gambas3-gb-desktop (>= 3.8.4),
  gambas3-gb-desktop-x11 (>= 3.8.4),
  imagemagick
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/eloaders/I-Nex
Vcs-Git: https://github.com/eloaders/I-Nex.git

Package: i-nex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  gambas3-runtime (>= 3.8.4),  
  gambas3-gb-image (>= 3.8.4), 
  gambas3-gb-qt5 (>= 3.8.4), 
  gambas3-gb-form (>= 3.8.4), 
  gambas3-gb-desktop (>= 3.8.4),
  gambas3-gb-desktop-x11 (>= 3.8.4),
  libcpuid14 (>= 0.4),
  grep (>= 2.5),
  bash (>= 4.1),
  coreutils (>= 7.4),
  sed (>= 4.2),
  mesa-utils,
  pastebinit (>= 1.4)
Replaces: i-nex
Recommends: mount (>= 2.17), x11-utils (>= 7.5), pciutils, lsb-release (>= 4.0), x11-xserver-utils (>= 7.5)
Description: CPU-Z Alternative for Linux. For Viewing System Device Information.
  I-Nex is an application that gathers information for hardware components.
  Available on your system and displays it using an user 
  interface similar to the popular Windows tool CPU-Z.

=== debian/rules ===
#!/usr/bin/make -f
LSB_CS = 		$(shell lsb_release -cs)

ifeq ($(LSB_CS),lucid)
COMPRESSION = 		-- -z9 -Zgzip
else
COMPRESSION = 		-- -z9 -Zxz
endif
override_dh_autoreconf:
	cd I-Nex && autoreconf -i
override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=I-Nex
override_dh_builddeb:
	dh_builddeb $(COMPRESSION)
override_dh_fixperms:
	dh_fixperms
%:
	dh $@ --with autoreconf

## i-nex 7.6.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 
 include i-nex.mk
-make: build-inex build-json
+make: build-inex build-json build-pixmaps
 
-install: install-pixmaps install-desktop-files install-manpages install-changelogs install-json install-inex install-udev-rule link-inex
-clean: clean-json clean-inex clean-all
+install: install-pastebinit-and-other \
+	 install-pixmaps install-changelogs install-manpages \
+	 install-docs install-json install-inex install-scripts \
+	 install-udev-rule link-inex
+	 
+clean: clean-pixmaps clean-json clean-inex clean-all
+
 distclean: clean
+
 sysclean: uninstall rmgambas
+
 build-inex:
 
 	@echo -e '\033[1;32mBuild I-Nex...\033[0m'
@@ -17,21 +24,43 @@
 	@echo -e '\033[1;32mBuild JSON...\033[0m'
 	$(MAKE) -C JSON
 	
-install-desktop-files:
+build-pixmaps:
+
+	@echo -e '\033[1;32mBuild Pixmaps...\033[0m'
+	$(MAKE) -C pixmaps
+	
+install-pastebinit-and-other:
 	@echo -e '\033[1;32mCreate nedded dirs...\033[0m'
 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
+	mkdir -p $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit
+	mkdir -p $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/pastebin.d
+	@echo -e '\033[1;32mInstall pastebinit and other...\033[0m'
 	$(INSTALL) 0755 debian/i-nex.desktop $(DESTDIR)$(PREFIX)/share/applications/
 	$(INSTALL) 0755 debian/i-nex-library.desktop $(DESTDIR)$(PREFIX)/share/applications/
+	$(INSTALL) 0755 pastebinit $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
+	$(INSTALL) 0644 pastebinit.xml $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
+	$(INSTALL) 0644 release.conf $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
+	$(MAKE) -C pastebin.d install
 	
 install-pixmaps:
 
 	@echo -e '\033[1;32mInstall pixmaps...\033[0m'
 	$(MAKE) -C pixmaps install
 	
+install-changelogs:
+
+	@echo -e '\033[1;32mInstall changelogs...\033[0m'
+	$(MAKE) -C changelogs install
+	
 install-manpages:
 
 	@echo -e '\033[1;32mInstall manpages...\033[0m'
 	$(MAKE) -C manpages install
+	
+install-docs:
+
+	@echo -e '\033[1;32mInstall docs...\033[0m'
+	$(MAKE) -C docs install
 	
 install-json:
 
@@ -43,12 +72,15 @@
 	@echo -e '\033[1;32mInstall I-Nex...\033[0m'
 	$(MAKE) -C I-Nex install
 
-install-changelogs:
+install-scripts:
 
-	@echo -e '\033[1;32mInstalling Changelogs...\033[0m'
-	mkdir -p $(DESTDIR)$(PREFIX)$(DOCSDIR)
-	install -Dm644 Changelog.md $(DESTDIR)$(PREFIX)$(DOCSDIR)
+	@echo -e '\033[1;32mInstall Scripts...\033[0m'
+	$(MAKE) -C Scripts install
+	
+clean-pixmaps:
 
+	$(MAKE) -C pixmaps clean
+	
 clean-json:
 
 	$(MAKE) -C JSON clean

=== JSON/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk 
make: check-static make-binary
check-static:
ifeq ($(STATIC),true)
	@echo -e '$(WARN_COLOR)Compile Static $(WARN_STRING)$(NO_COLOR)'
else
	@echo -e '$(OK_COLOR)Compile Not Static $(OK_STRING)$(NO_COLOR)'
endif

make-binary: compile-i-nex-edid \
	     compile-i-nex-cpuid
	
compile-i-nex-edid:
	@echo -e '$(OK_COLOR)Compile i-nex-edid $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-edid i-nex-edid.c $(CFLAGS) $(additional_confflags)
	
compile-i-nex-cpuid:
	@echo -e '$(OK_COLOR)Compile i-nex-cpuid $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-cpuid i-nex-cpuid.c $(CC_OPTS_LIBCPUID) $(additional_confflags)
	
install: install-set-executables install-bin
install-set-executables: set-executable-i-nex-edid \
			 set-executable-i-nex-cpuid
			 
set-executable-i-nex-edid:
	chmod +x i-nex-edid
set-executable-i-nex-cpuid:
	chmod +x i-nex-cpuid

install-bin: install-bin-i-nex-edid \
	     install-bin-i-nex-cpuid \
	     install-bin-i-nex-dimms
	     
	     

install-bin-i-nex-edid:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-edid $(DESTDIR)$(bindir)
install-bin-i-nex-cpuid:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-cpuid $(DESTDIR)$(bindir)
install-bin-i-nex-dimms:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-dimms $(DESTDIR)$(bindir)
clean:
	@echo -e '$(ACTION_COLOR)Clean JSON$(NO_COLOR)'
	$(RM_COM) $(RMFILE_OPT) i-nex-edid
	$(RM_COM) $(RMFILE_OPT) i-nex-cpuid
	$(RM_COM) $(RMFILE_OPT) i-nex-usage

=== Scripts/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk

install:
	mkdir -p $(DESTDIR)$(bindir)
	chmod +x i-nex-lspci
	$(INSTALL) 0755 i-nex-lspci $(DESTDIR)$(bindir)

=== changelogs/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk

CHANGELOG_FILES=$(wildcard changelog-*)

install: install-changelogs
install-changelogs:

	@echo -e '\033[1;32mInstalling Changelogs...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)$(DOCSDIR)
	install -Dm644 $(CHANGELOG_FILES) $(DESTDIR)$(PREFIX)$(DOCSDIR)

=== docs/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk 
install: install-doc

install-doc: install_i_nex_LICENSE \
	     install_Pastebinit_LICENSE

install_i_nex_LICENSE:
	@echo -e '\033[1;32mCreate directory...\033[0m'
	${MKDIR_P} $(DESTDIR)$(PREFIX)$(DOCSDIR)
	@echo -e '\033[1;32mInstalling Docs I-Nex.LICENSE...\033[0m'
	${INSTALL_DM}644 I-Nex.LICENSE "$(DESTDIR)$(PREFIX)$(DOCSDIR)/I-Nex.LICENSE"
install_Pastebinit_LICENSE:
	@echo -e '\033[1;32mCreate directory...\033[0m'
	${MKDIR_P} $(DESTDIR)$(PREFIX)$(DOCSDIR)
	@echo -e '\033[1;32mInstalling Docs Pastebinit.LICENSE...\033[0m'
	${INSTALL_DM}644 Pastebinit.LICENSE "$(DESTDIR)$(PREFIX)$(DOCSDIR)/Pastebinit.LICENSE"

=== manpages/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 	
 compress-man:
 	@echo -e '\033[1;32mCompress Man pages 1...\033[0m'
+	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-cpuid.1"
 	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-edid.1"
+	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-lspci.1"
 	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.1"
 	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.gambas.1"
+	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-dimms.1"

=== pastebin.d/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk 
PASTEBINITCONF_FILES=$(wildcard *.conf)

install: install-pastebinit-conf
install-pastebinit-conf:

	@echo -e '\033[1;32mInstalling Pastebinit Config files...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/pastebin.d
	install -Dm644 $(PASTEBINITCONF_FILES) $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/pastebin.d/

=== pixmaps/Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 include ../i-nex.mk
+make: 
+	convert i-nex.png -resize 16x16 i-nex-16.png
+	convert i-nex.png -resize 32x32 i-nex-32.png
+	convert i-nex.png -resize 128x128 i-nex-128.png
+	
 install:
 	mkdir -p ${DESTDIR}$(PREFIX)/share/pixmaps
 	${INSTALL} 644 i-nex.png $(DESTDIR)$(PREFIX)/share/pixmaps/
@@ -12,3 +17,9 @@
 	if test -f $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-16.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-16.png ; fi
 	if test -f ${DESTDIR}$(PREFIX)/share/pixmaps/i-nex-32.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-32.png ; fi
 	if test -f ${DESTDIR}$(PREFIX)/share/pixmaps/i-nex-128.png ; then ${RM} $(DESTDIR)$(PREFIX)/share/pixmaps/i-nex-128.png ; fi
+	
+clean:
+	
+	rm -f i-nex-16.png
+	rm -f i-nex-32.png
+	rm -f i-nex-128.png

=== debian/changelog ===
i-nex (7.6.0-0mx15+1) mx; urgency=medium

  * Rebuild for the MX 15 repository.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 18 Jun 2017 17:20:57 -0700

i-nex (7.6.0-0~bzr1022~20170131~ubuntu17.04.1) zesty; urgency=low

  * Auto build.

 -- eloaders <eloaders@linux.pl>  Tue, 31 Jan 2017 01:21:35 +0000

=== debian/control ===
--- 
+++ 
@@ -36,10 +36,10 @@
   coreutils (>= 7.4),
   sed (>= 4.2),
   mesa-utils,
-  pastebinit (>= 1.4)
+#  pastebinit (>= 1.4)
 Replaces: i-nex
 Recommends: mount (>= 2.17), x11-utils (>= 7.5), pciutils, lsb-release (>= 4.0), x11-xserver-utils (>= 7.5)
-Description: CPU-Z Alternative for Linux. For Viewing System Device Information.
+Description: CPU-Z Alternative for Linux. For Viewing System Device Information
   I-Nex is an application that gathers information for hardware components.
   Available on your system and displays it using an user 
   interface similar to the popular Windows tool CPU-Z.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 override_dh_fixperms:
 	dh_fixperms
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
